$pidFilePath = "auto_updater.pid"


if (Test-Path $pidFilePath) {
    $updaterPid = Get-Content $pidFilePath -Raw 
    Write-Output "SMCNV post-exit: Stopping auto updater with PID $updaterPid"
    Stop-Process -ID $updaterPid
    
    Remove-Item $pidFilePath
} else {
    Write-Output "SMCNV post-exit: No auto updater found."
}